// 展厅接口

import serviceAxios from "@/http/index";

// 查询展厅列表
export const getAppsList = (params) => {
  return serviceAxios({
    url: `/vrone/backend/apps/list${params}`,
    method: "get",
  });
};

// 新增展厅
export const addAppsList = (data) => {
  return serviceAxios({
    url: "/vrone/backend/apps",
    method: "post",
    data,
  });
};

// 修改展厅
export const updateAppsList = (data) => {
  return serviceAxios({
    url: "/vrone/backend/apps",
    method: "put",
    data,
  });
};

// 根据用户id查询展厅列表
export const getUserAppsList = (params) => {
  return serviceAxios({
    url: `/vrone/backend/apps/myAppList/${params}`,
    method: "get",
  });
};

// 获取展厅详细信息
export const getAppsDetail = (params) => {
  return serviceAxios({
    url: `/vrone/backend/apps/${params}`,
    method: "get",
  });
};

// 查询用于展示的展厅列表
export const getAppsShowList = (data = {}) => {
  return serviceAxios({
    url: `/vrone/backend/apps/showList`,
    method: "post",
    data: data,
  });
};
